Skip to main content

GET /api/social/farcaster/cast/{hash}/replies

Cast replies

GET replies data from social service

Endpoint​

GET https://api.web3identity.com/api/social/farcaster/cast/{hash}/replies

Parameters​

NameInTypeRequiredDescription
hashpathstringâś…Transaction or cast hash
platformsquerystring❌Filter platforms (ens,farcaster,lens)

Example Request​

curl -s "https://api.web3identity.com/api/social/farcaster/cast/:hash/replies" | jq

Responses​

200 Replies​

{
"fid": 3,
"username": "dwr",
"displayName": "Dan Romero",
"pfp": "https://example.com/pfp.jpg",
"followerCount": 123456,
"followingCount": 567
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required - free tier exhausted​

{
"example": "response"
}

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec